{ lib, buildPythonApplication, hatchling, mitel-ommclient2, sqlalchemy, ywsd, diffsync }:

buildPythonApplication rec {
  pname = "fieldpoc";
  version = "0.11.0";

  src = fetchGit {
    url = "https://git.n0emis.eu/n0emis/fieldpoc.git";
    ref = "main";
    rev = "d6d664b4690189a7ed54be65ceef8cb3d79a6bfb";
  };

  format = "pyproject";

  buildInputs = [ hatchling ];
  propagatedBuildInputs = [ mitel-ommclient2 sqlalchemy ywsd diffsync ];
}
